package com.jzdsh.auto.biz;

import com.jzdsh.auto.model.Account;
import lombok.extern.log4j.Log4j2;

import java.util.List;

/**
 * biz
 *
 */
@Log4j2
public class Biz {

    /**
     * 获取所有的account list
     * @return
     */
    public List<Account> queryAllAccount(){
        try {
            log.info("queryAllAccount");
            return Account.dao.findAll();
        }catch (Exception ex){
            log.error("queryAllAccount",ex);
        }
        return null;
    }

    public List<Account> joinSelectTest() {
        try {
            log.info("queryAllAccount");
            return Account.dao.find("select * from "+Account.TableName+" a inner join feedback f on a.id = f.accountId");
        }catch (Exception ex){
            log.error("joinSelectTest",ex);
        }
        return null;
    }
}
